
Pre-Development - Bug #19678

FE - React - MLEB Function incorrect mapping and missing status dropdown fields

07 February 2024 10:20 AM - chok yee fan

Status: Closed Start date: 19 January 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

-----

- incorrect mapping web service fields

- missing status dropdown

- incorrect controlId naming

expected

-----

correction the issue

Subtasks:

Feature # 18489: IAM > MLEB Function Closed

  Bug # 19529: IAM > MLEB Function Closed

History

#1 - 13 February 2024 04:48 PM - Nityanantan Nityanantan

- Status changed from New to Resolved

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

Nity- fixed mapping and missing status dropdown in MLEB function

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/4cdd79b309de1e30947856696ccfd72edc3fc622

#2 - 14 February 2024 10:47 AM - Hazimi Muhammad

- File WhatsApp Image 2024-02-14 at 10.34.52 AM.jpeg added

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Need to double confirm for the MLEB System is it systemCode(screenshot) or systemName(existing code).

#3 - 15 February 2024 02:05 PM - chok yee fan

- Assignee changed from chok yee fan to Nityanantan Nityanantan

as per discuss in the meeting, systemCode is for save, systemName is for display. map from the dataEntry ws to base on the systemCode pull

systemName for display

#4 - 19 February 2024 02:22 PM - Nityanantan Nityanantan

- Status changed from Feedback to Resolved

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/4cdd79b309de1e30947856696ccfd72edc3fc622


#5 - 19 February 2024 02:33 PM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been Fixed.

Go to MLEB Function -> click search button -> select the data in the table -> click modify button -> modify the MLEB System form ->

(the "systemName" for display is correct)

Go to MLEB Function -> click search button -> select the data in the table -> click modify button -> modify the MLEB System form -> click save ->

inspect and go to network -> select updateAction -> systemCode: "MLEB_COMMON"

(the "systemCode" for save is correct)

#6 - 26 February 2024 04:51 PM - chok yee fan

- Status changed from Feedback to Closed

working as expected

Files

Screenshot 2024-02-07 at 10.11.48 AM.png 412 KB 07 February 2024 chok yee fan

WhatsApp Image 2024-02-14 at 10.34.52 AM.jpeg 70.4 KB 14 February 2024 Hazimi Muhammad
